/* 
** compat.h: 
** copyright: (c) 2012 by Hemmingsen Kim
** email: kmgh10@hotmail.com
** This program is free software; you can redistribute it and/or 
** modify  it under the terms of the GNU General Public License as
** published by the Free Software Foundation; either version 2 of
** the License, or (at your option) any later version.
*/
/*compat.h holds redefinition of gtk2 syntax to gtk1*/
#define _GNU_SOURCE
#include <stdio.h>

#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk-pixbuf/gdk-pixbuf-loader.h>
#include <png.h>
///new functions/variables
#define SMALL_HEIGHT 20
#define SMALL_WIDTH 20

GtkWidget *xpm_label_box( GtkWidget *parent, char *xpm_filename, gchar *label_text, int height, int width );
GtkWidget *gtk_image_new_from_file_wrap(char *str, int height, int width);

#ifndef USE_GTK2

#include <gdk/gdkx.h>

#define GTK_STOCK_CANCEL "gtk-cancel.xpm"    
#define GTK_STOCK_HELP   "gtk-help.xpm"
#define GTK_STOCK_NO     "gtk-no.xpm"
#define GTK_STOCK_OK     "gtk-ok.xpm"
#define GTK_STOCK_YES    "gtk-yes.xpm" 

#define GTK_FILE_CHOOSER_ACTION_OPEN	1

extern char * CHOOSERCONT;	//gtk1 chooser common global var

///stock icons are in the form: stock_add_16.png or stock_add_24.png
#define GTK_ICON_SIZE_BUTTON	20

///translation gtk2 to gtk1
#define G_OBJECT	GTK_OBJECT
#define GCallback	GtkSignalFunc
#define g_signal_connect	gtk_signal_connect
#define G_CALLBACK GTK_SIGNAL_FUNC
#define g_setenv	setenv
#define g_unsetenv	unsetenv
#define g_ascii_strcasecmp	strcasecmp
#define g_printf	printf
#define g_object_set	gtk_object_set
#define G_TYPE_INT	gint
#define G_TYPE_STRING	GString	//gn: not sure about this
#define GType	guint	//gn: not sure about this
#define GTK_TEXT_VIEW	GTK_TEXT //gn: for WIDGET_EDIT
#define g_object_get_data	gtk_object_get_data	//gn: for widget_pixmap_refresh


///the wrappers
GtkWidget *gtk_image_new_from_stock (char *stock_id, int height, int width);
GtkWidget *gtk_image_new_from_file(char *str, int height, int width);

GtkWidget *gtk_image_menu_item_new_from_stock (char *stock_id, int *dummy);

char *find_pixmap( char *filename );

GtkWidget *gtk_button_new_from_stock( char *stock_id );
GtkWidget *gtk_text_view_new( void );

///the chooser
void action_chooserselection_made( GtkWidget *w, GtkFileSelection *fs );
void action_dirselected (GtkWidget *widget, gint row, gint column, GdkEventButton *bevent, gpointer user_data);
void action_fileselected (GtkWidget *widget, gint row, gint column, GdkEventButton *bevent, gpointer user_data);

void toggle_select_box ( GtkWidget *w, GtkFileSelection *fs );
void rename_file ( GtkWidget *w, GtkFileSelection *fs );
void create_dir ( GtkWidget *w, GtkFileSelection *fs );
void delete_file ( GtkWidget *w, GtkFileSelection *fs );

#endif
